App Resource Role API
Batch Update App Resource Roles
Update multiple app resource roles in a single transactional request. Either all updates succeed or all fail.
PUT
/
v2
/
app-resource-roles
/
batch
Batch Update App Resource Roles
curl --request PUT \
--url https://public.api.serval.com/v2/app-resource-roles/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"roles": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"requestsEnabled": true,
"accessPolicyId": "<string>",
"provisioningMethod": {
"builtinWorkflow": {}
},
"externalId": "<string>",
"externalData": "<string>",
"requireFormConfirmation": true
}
]
}
'import requests
url = "https://public.api.serval.com/v2/app-resource-roles/batch"
payload = { "roles": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"requestsEnabled": True,
"accessPolicyId": "<string>",
"provisioningMethod": { "builtinWorkflow": {} },
"externalId": "<string>",
"externalData": "<string>",
"requireFormConfirmation": True
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
roles: [
{
id: '<string>',
name: '<string>',
description: '<string>',
requestsEnabled: true,
accessPolicyId: '<string>',
provisioningMethod: {builtinWorkflow: {}},
externalId: '<string>',
externalData: '<string>',
requireFormConfirmation: true
}
]
})
};
fetch('https://public.api.serval.com/v2/app-resource-roles/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"resourceId": "<string>",
"name": "<string>",
"description": "<string>",
"requestsEnabled": true,
"accessPolicyId": "<string>",
"provisioningMethod": {
"builtinWorkflow": {}
},
"externalId": "<string>",
"externalData": "<string>",
"requireFormConfirmation": true,
"tagIds": [
"<string>"
]
}
]
}{
"message": "<string>",
"detail": {
"type": "<string>",
"value": "<string>",
"debug": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The roles to update.
Show child attributes
Show child attributes
Response
Success
The updated roles.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Batch Update App Resource Roles

